Skip to main content
GET
GET /api/tasks

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

limit
integer
default:50
Required range: 1 <= x <= 100
cursor
string
Required string length: 1 - 512
status
enum<string>
Available options:
pending,
queued,
in_progress,
waiting,
blocked,
resuming,
completed,
failed,
cancelled
open
boolean
archived
boolean
botId
string<uuid>
since
string<date-time>
until
string<date-time>
q
string
Required string length: 1 - 200
order
enum<string>
default:created
Available options:
created,
updated
scope
enum<string>
Available options:
mine,
all,
assigned,
created,
review
Required string length: 1 - 200

Response

Success

items
object[]
required
nextCursor
string | null
required
Required string length: 1 - 512